Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		autotrace
Version:	0.31.1
Release:	6
License:	GNU/GPL
URL:		http://autotrace.sourceforge.net/
Group:		Multimedia/Graphics
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	autotrace is a utility bitmap to vector graphics converter.

# Sources
Source0:	%{name}-%{version}.tar.gz

# Patches
Patch0:         %{name}-%{version}-quotefix.diff

BuildRequires: fftw-devel

#Automatically resolved build dependencies
BuildRequires: bzip2-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: ImageMagick-devel
BuildRequires: lcms-devel
BuildRequires: libEMF-devel
BuildRequires: libgd-devel
BuildRequires: libgomp
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libtiff-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXpm-devel
BuildRequires: libXt-devel
BuildRequires: plotutils-devel
BuildRequires: pstoedit-devel
BuildRequires: zlib-devel

%description
AutoTrace - a program for converting bitmap to vector graphics.
The aim of the AutoTrace project is the development of a freely available application
with a functionality similar to CorelTrace or Adobe Streamline.
I hope that it will become better than all commercially available programs.
In some aspects it is already better. AutoTrace is free software.
AutoTrace is distributed under the term of GNU GPL. 

%package	devel
Summary:	autotrace development headers.
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with autotrace.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}
%patch0

%build
./configure \
--enable-shared \
--disable-static \
--prefix=%_prefix \
--libdir=%_libdir \
--mandir=%_mandir \
--infodir=%_infodir \
--sysconfdir=%_sysconfdir \
--with-pstoedit
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/autotrace
%{_libdir}/libautotrace.so.*
%{_mandir}/man1/autotrace.1.gz

%files	devel
%defattr(-,root,root)
%{_bindir}/autotrace-config
%{_includedir}/autotrace/autotrace.h
%{_includedir}/autotrace/exception.h
%{_includedir}/autotrace/input.h
%{_includedir}/autotrace/output.h
%{_includedir}/autotrace/types.h
#%{_libdir}/libautotrace.a
%{_libdir}/libautotrace.la
%{_libdir}/libautotrace.so
%{_pkgconfig}/autotrace.pc
%{_aclocal}/autotrace.m4

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.31.1-6
- rebuilt against ImageMagick 6.6.5.4
* Sun Aug 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.31.1-5
- rebuilt against libjpeg 7
* Fri Dec 26 2008 Christian Wasem <wasem@ccux-linux.de> 0.31.1-4
- moved package group to Multimedia/Graphics
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.31.1-3
- rebuilt against ImageMagick 6.3.9.3
* Wed Jan 25 2006 Christian Metzen <metzench@ccux-linux.de> 0.31.1-2
- rebuilt against newest ImageMagick
* Thu Oct 27 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.31.1-1
- Initial Release
